Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryFinalOnPrivateMethodRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryFinalOnPrivateMethodRule

- A private method is marked final. Private methods cannot be overridden, so marking it final is unnecessary.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority